Node('Gas10kA.psi.ch',
     'LOGO for 10kBar Gas pressure stick',
     interface='tcp://5001',
)

Mod('io',
    'frappy_psi.logo.IO',
    '',
    ip_address = "192.168.1.1",
    tcap_client = 0x3000,
    tsap_server = 0x2000
)

Mod('PT10000',
    'frappy_psi.logo.TempSensor',
    'sensor',
    io = 'io',
    vm_address ="VW0",
)

Mod('T_pt10k',
    'frappy_psi.softcal.Sensor',
    '?',
    value=Param(unit='K'),
    rawsensor='PT10000',
    calib='pt10000e',
)

Mod('PT1000_oben',
    'frappy_psi.logo.TempSensor',
    'sensor',
    io = 'io',
    vm_address ="VW2",
)

Mod('T_top',
    'frappy_psi.softcal.Sensor',
    '?',
    value=Param(unit='K'),
    rawsensor='PT1000_oben',
    calib='pt1000e',
)

Mod('PT1000_mitte',
    'frappy_psi.logo.TempSensor',
    'sensor',
    io = 'io',
    vm_address ="VW4",
)

Mod('T_mid',
    'frappy_psi.softcal.Sensor',
    '?',
    value=Param(unit='K'),
    rawsensor='PT1000_mitte',
    calib='pt1000e',
)

Mod('PT1000_unten',
    'frappy_psi.logo.TempSensor',
    'sensor',
    io = 'io',
    vm_address ="VW6",
)

Mod('T_bot',
    'frappy_psi.softcal.Sensor',
    '?',
    value=Param(unit='K'),
    rawsensor='PT1000_unten',
    calib='pt1000e',
)

Mod('Cernox',
    'frappy_psi.logo.TempSensor',
    'sensor',
    io = 'io',
    vm_address ="VW8",
)

Mod('T_cx',
    'frappy_psi.softcal.Sensor',
    '?',
    value=Param(unit='K'),
    rawsensor='Cernox',
    calib='X174785',
)

Mod('HeaterLevelHigh',
    'frappy_psi.logo.HeaterParam',
    'heater param',
    io = 'io',
    vm_address = "VW10", 
)

# currently unused:
#Mod('HeaterLevelLow',
#    'frappy_psi.logo.HeaterParam',
#    'heater param',
#    io = 'io',
#    vm_address = "VW12", 
#)
